Groovy 1.7.0

## org.codehaus.groovy.runtime
Class MethodRankHelper.RankableMethod

    java.lang.Object
      org.codehaus.groovy.runtime.MethodRankHelper.RankableMethod

All Implemented Interfaces:
  Comparable

    class MethodRankHelper.RankableMethod

This class wraps a method object and a score variable so methods Can easily be ranked by their likeness to a another method

Field Summary
`MetaMethod` | `m`
`Integer` | `score`

Constructor Summary
`MethodRankHelper.RankableMethod(String name, Class[] argumentTypes, MetaMethod m2)`

Method Summary
`int` | `compareTo(Object o)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### m

    final MetaMethod m

### score

    final Integer score

Constructor Detail

### MethodRankHelper.RankableMethod

    public MethodRankHelper.RankableMethod(String name, Class[] argumentTypes, MetaMethod m2)

Method Detail

### compareTo

    public int compareTo(Object o)

Copyright © 2003-2009 The Codehaus. All rights reserved.